OpenTTD GameScript API: Data Fields - Enumerations

OpenTTD GameScript API 14.0-beta2

### - a -

- AirportType : GSAirport

### - b -

- BuildType : GSMarine , GSRail , GSRoad , GSTile

### - c -

- CargoAcceptState : GSIndustry
- CargoClass : GSCargo
- CargoMode : GSStationList_Cargo
- CargoSelector : GSStationList_Cargo
- ClientID : GSClient
- Colours : GSCompany
- CompanyID : GSCompany
- CompareFunction : GSOrder
- Corner : GSTile
- CrashReason : GSEventVehicleCrashed

### - d -

- Date : GSDate
- DistributionType : GSCargo

### - e -

- ErrorCategories : GSError
- ErrorMessages : GSBridge , GSError , GSMarine , GSOrder , GSRail , GSRoad , GSSign , GSStation , GSTile , GSTunnel , GSVehicle , GSWaypoint
- ExpensesType : GSCompany

### - g -

- Gender : GSCompany
- GoalID : GSGoal
- GoalType : GSGoal
- GroupID : GSGroup
- GSConfigFlags : GSInfo
- GSEventType : GSEvent
- GSOrderFlags : GSOrder

### - i -

- IndustryControlFlags : GSIndustry
- Infrastructure : GSInfrastructure

### - l -

- LandscapeType : GSGame
- LeagueTableElementID : GSLeagueTable
- LeagueTableID : GSLeagueTable
- LinkType : GSLeagueTable
- LiveryScheme : GSCompany

### - n -

- NewsReferenceType : GSNews
- NewsType : GSNews
- NumberType : GSWindow

### - o -

- OrderCondition : GSOrder
- OrderPosition : GSOrder

### - p -

- PlaneType : GSAirport

### - q -

- Quarter : GSCompany
- QuestionButton : GSGoal
- QuestionType : GSGoal

### - r -

- RailTrack : GSRail
- RailType : GSRail
- RoadLayout : GSTown
- RoadTramTypes : GSRoad
- RoadType : GSRoad
- RoadVehicleType : GSRoad

### - s -

- SignalType : GSRail
- Slope : GSTile
- SorterType : GSList
- SpecialCargoID : GSCargo
- SpecialIndustryType : GSIndustryType
- SpecialStationIDs : GSBaseStation
- StationType : GSStation
- StopLocation : GSOrder
- StoryPageButtonColour : GSStoryPage
- StoryPageButtonCursor : GSStoryPage
- StoryPageButtonFlags : GSStoryPage
- StoryPageElementID : GSStoryPage
- StoryPageElementType : GSStoryPage
- StoryPageID : GSStoryPage
- SubsidyParticipantType : GSSubsidy

### - t -

- TerrainType : GSTile
- TextColour : GSWindow
- TownAction : GSTown
- TownEffect : GSCargo
- TownGrowth : GSTown
- TownRating : GSTown
- TownSize : GSTown
- TransportType : GSTile

### - v -

- VehicleState : GSVehicle
- VehicleType : GSVehicle

### - w -

- WaypointType : GSWaypoint
- WidgetType : GSWindow
- WindowClass : GSWindow
- WindowNumberEnum : GSWindow